<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_151) on Thu Jan 18 13:47:16 GMT+01:00 2018 -->
<title>Controleur</title>
<meta name="date" content="2018-01-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Controleur";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Controleur.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../noyau/Carte.html" title="class in noyau"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../noyau/Couleur.html" title="enum in noyau"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?noyau/Controleur.html" target="_top">Frames</a></li>
<li><a href="Controleur.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">noyau</div>
<h2 title="Class Controleur" class="title">Class Controleur</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>noyau.Controleur</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Controleur</span>
extends java.lang.Object</pre>
<div class="block">Classe pouvant se comparer à un maitre du jeu. Elle gère permet de gérer la
 partie Aucun controleur n'est créé, ses methodes sont statiques</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../noyau/Controleur.html#Controleur--">Controleur</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Controleur.html#changerSensJeux--">changerSensJeux</a></span>()</code>
<div class="block">Permet de chnger le sens du jeu</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Controleur.html#distribuerCartes-java.util.LinkedList-int-">distribuerCartes</a></span>(java.util.LinkedList&lt;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&gt;&nbsp;paquet,
                int&nbsp;nbCartesMain)</code>
<div class="block">Permet de distribuer les cartes</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Controleur.html#gagner--">gagner</a></span>()</code>
<div class="block">Permet de passer la partie à l'état de "gagnée"</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Controleur.html#getJoueur-int-">getJoueur</a></span>(int&nbsp;indice)</code>
<div class="block">Getter du joueur</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Controleur.html#getJoueurPrecedent-noyau.Joueur-">getJoueurPrecedent</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur)</code>
<div class="block">Permet d'obtenir le joueur précédent du joueur passé en paramètre</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Controleur.html#getJoueurSuivant-noyau.Joueur-">getJoueurSuivant</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur)</code>
<div class="block">Permet d'obtenir le joueur suivant le joueur passé en paramètre</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Controleur.html#getNbJoueurs--">getNbJoueurs</a></span>()</code>
<div class="block">Getter du nombre de joueurs</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static <a href="../noyau/Regle.html" title="class in noyau">Regle</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Controleur.html#getRegle--">getRegle</a></span>()</code>
<div class="block">Getter de la variante utilisée pour la partie en cours</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Controleur.html#getSensJeu--">getSensJeu</a></span>()</code>
<div class="block">Getter du sens du jeu</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Controleur.html#Init-console.Affichable-">Init</a></span>(<a href="../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>
<div class="block">Methode d'initialisation de la partie (création des joueurs, distribution des
 cartes, choix de la variate)</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Controleur.html#partie--">partie</a></span>()</code>
<div class="block">Methode gèrant la partie
 Une boucle while est utilisée tant qu'aucun joueur n'a gagné
 Les joueurs jouent chacuns leur tour selon le sens du jeu</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Controleur.html#posJoueur-noyau.Joueur-">posJoueur</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;j)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Controleur.html#setNbJoueurs-int-">setNbJoueurs</a></span>(int&nbsp;nombreJoueurs)</code>
<div class="block">Setter du nombre de joueurs</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Controleur.html#setRegle--">setRegle</a></span>()</code>
<div class="block">Permet au joueur de choisir la variante pour la partie en cours
 Un Objet du type de la variante en question est créé
 La stratégie aggressive est appliquée aux joueur artificiel si celle ci est activée et que la variante le permet</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Controleur--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Controleur</h4>
<pre>public&nbsp;Controleur()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="Init-console.Affichable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Init</h4>
<pre>public static&nbsp;void&nbsp;Init(<a href="../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</pre>
<div class="block">Methode d'initialisation de la partie (création des joueurs, distribution des
 cartes, choix de la variate)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>un</code> - objet de type affichable utilisé pour les interactions joueurs</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../console/Affichage.html#main-java.lang.String:A-"><code>Affichage.main(String[])</code></a></dd>
</dl>
</li>
</ul>
<a name="partie--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>partie</h4>
<pre>public static&nbsp;void&nbsp;partie()</pre>
<div class="block">Methode gèrant la partie
 Une boucle while est utilisée tant qu'aucun joueur n'a gagné
 Les joueurs jouent chacuns leur tour selon le sens du jeu</div>
</li>
</ul>
<a name="distribuerCartes-java.util.LinkedList-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>distribuerCartes</h4>
<pre>public static&nbsp;void&nbsp;distribuerCartes(java.util.LinkedList&lt;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&gt;&nbsp;paquet,
                                    int&nbsp;nbCartesMain)</pre>
<div class="block">Permet de distribuer les cartes</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>la</code> - paquet de carte à distribuer sous forme de linkedlist de cartes</dd>
<dd><code>le</code> - nombre de carte constituant une main</dd>
</dl>
</li>
</ul>
<a name="setRegle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRegle</h4>
<pre>public static&nbsp;void&nbsp;setRegle()</pre>
<div class="block">Permet au joueur de choisir la variante pour la partie en cours
 Un Objet du type de la variante en question est créé
 La stratégie aggressive est appliquée aux joueur artificiel si celle ci est activée et que la variante le permet</div>
</li>
</ul>
<a name="getNbJoueurs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbJoueurs</h4>
<pre>public static&nbsp;int&nbsp;getNbJoueurs()</pre>
<div class="block">Getter du nombre de joueurs</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>nbJoueurs</dd>
</dl>
</li>
</ul>
<a name="setNbJoueurs-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNbJoueurs</h4>
<pre>public static&nbsp;void&nbsp;setNbJoueurs(int&nbsp;nombreJoueurs)</pre>
<div class="block">Setter du nombre de joueurs</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nombreJoueurs</code> - </dd>
</dl>
</li>
</ul>
<a name="changerSensJeux--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>changerSensJeux</h4>
<pre>public static&nbsp;void&nbsp;changerSensJeux()</pre>
<div class="block">Permet de chnger le sens du jeu</div>
</li>
</ul>
<a name="getJoueurPrecedent-noyau.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJoueurPrecedent</h4>
<pre>public static&nbsp;<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;getJoueurPrecedent(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur)</pre>
<div class="block">Permet d'obtenir le joueur précédent du joueur passé en paramètre</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>joueur</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>joueur précédent</dd>
</dl>
</li>
</ul>
<a name="getJoueurSuivant-noyau.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJoueurSuivant</h4>
<pre>public static&nbsp;<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;getJoueurSuivant(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur)</pre>
<div class="block">Permet d'obtenir le joueur suivant le joueur passé en paramètre</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>joueur</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>joueur suivant</dd>
</dl>
</li>
</ul>
<a name="getSensJeu--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSensJeu</h4>
<pre>public static&nbsp;int&nbsp;getSensJeu()</pre>
<div class="block">Getter du sens du jeu</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>sensJeu</dd>
</dl>
</li>
</ul>
<a name="getJoueur-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJoueur</h4>
<pre>public static&nbsp;<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;getJoueur(int&nbsp;indice)</pre>
<div class="block">Getter du joueur</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>l'indice</code> - du joueur dans le tableau des joueurs</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="gagner--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gagner</h4>
<pre>public static&nbsp;void&nbsp;gagner()</pre>
<div class="block">Permet de passer la partie à l'état de "gagnée"</div>
</li>
</ul>
<a name="posJoueur-noyau.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>posJoueur</h4>
<pre>public static&nbsp;int&nbsp;posJoueur(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;j)</pre>
</li>
</ul>
<a name="getRegle--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRegle</h4>
<pre>public static&nbsp;<a href="../noyau/Regle.html" title="class in noyau">Regle</a>&nbsp;getRegle()</pre>
<div class="block">Getter de la variante utilisée pour la partie en cours</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la variante</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Controleur.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../noyau/Carte.html" title="class in noyau"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../noyau/Couleur.html" title="enum in noyau"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?noyau/Controleur.html" target="_top">Frames</a></li>
<li><a href="Controleur.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
